Public Member Functions
com.ugrokit.api.Ugi.ReportConnectionStateAndBatteryInfoPeriodicallyCallback Interface Reference

## Overview

Callback interface for completion for reportConnectionStateAndBatteryInfoPeriodically()

## Public Member Functions
void | exec (ConnectionStates connectionState, OngoingOperations ongoingOperation, boolean batteryInformationIsValid, boolean externalPowerIsConnected, boolean isCharging, boolean canScan, boolean canGetBatteryWhileScanning, boolean temperatureAtOrAboveThreshold, boolean temperatureWithin5DegreesOfThreshold, boolean temperatureWithin10DegreesOfThreshold, boolean temperatureWithin20DegreesOfThreshold, int averagedBatteryPercentage, String statusDescription)
| Callback with connection and battery information. More...

## Member Function Documentation

## ◆ exec()

void com.ugrokit.api.Ugi.ReportConnectionStateAndBatteryInfoPeriodicallyCallback.exec | ( | ConnectionStates | connectionState,
|  | OngoingOperations | ongoingOperation,
|  | boolean | batteryInformationIsValid,
|  | boolean | externalPowerIsConnected,
|  | boolean | isCharging,
|  | boolean | canScan,
|  | boolean | canGetBatteryWhileScanning,
|  | boolean | temperatureAtOrAboveThreshold,
|  | boolean | temperatureWithin5DegreesOfThreshold,
|  | boolean | temperatureWithin10DegreesOfThreshold,
|  | boolean | temperatureWithin20DegreesOfThreshold,
|  | int | averagedBatteryPercentage,
|  | String | statusDescription
| ) |  |

Callback with connection and battery information.

Parameters

  connectionState | Connection state
  ongoingOperation | Ongoing operation
  batteryInformationIsValid | true if externalPowerIsConnected, isCharging, canScan and averagedBatteryPercentage are valid
  externalPowerIsConnected | true if external power is connected
  isCharging | true if battery is charging
  canScan | true if battery is capable of scanning
  canGetBatteryWhileScanning | true if this Grokker can return battery information while scanning (firmware 1.11.2 or above)
  temperatureAtOrAboveThreshold | true if temperature is at or above the threshold for scanning
  temperatureWithin5DegreesOfThreshold | true if temperature is within 5 degrees C of the threshold for scanning
  temperatureWithin10DegreesOfThreshold | true if temperature is within 10 degrees C of the threshold for scanning
  temperatureWithin20DegreesOfThreshold | true if temperature is within 20 degrees C of the threshold for scanning
  averagedBatteryPercentage | Battery percentage averaged over a short period, so more stable, -1 if not valid. Only valid if external power is not connected
  statusDescription | Text description